<?php

namespace App\Dto;

use Symfony\Component\Validator\ConstraintViolationInterface;

class ValidateErrorDto extends ErrorDto
{
    public string $status = '422';

    public function __construct(ConstraintViolationInterface $violation)
    {
        $this->message = $violation->getPropertyPath() . ':' . $violation->getMessage();
        $this->code = $violation->getCode();
    }
}
